import request from '@/utils/request'

// 查询维护信息列表
export function listMaintenance(query) {
  return request({
    url: '/manage/maintenance/list',
    method: 'get',
    params: query
  })
}

// 查询维护信息详细
export function getMaintenance(id) {
  return request({
    url: '/manage/maintenance/' + id,
    method: 'get'
  })
}

// 新增维护信息
export function addMaintenance(data) {
  return request({
    url: '/manage/maintenance',
    method: 'post',
    data: data
  })
}

// 修改维护信息
export function updateMaintenance(data) {
  return request({
    url: '/manage/maintenance',
    method: 'put',
    data: data
  })
}

// 删除维护信息
export function delMaintenance(id) {
  return request({
    url: '/manage/maintenance/' + id,
    method: 'delete'
  })
}
